diff --git a/doc.zih.tu-dresden.de/util/check-code-style.sh b/doc.zih.tu-dresden.de/util/check-code-style.sh
index 5fae715274868c2bb7d86b4c423d25aef831df9c..7001cb9e03a782e80697c032647b401d1cdd7c0a 100755
--- a/doc.zih.tu-dresden.de/util/check-code-style.sh
+++ b/doc.zih.tu-dresden.de/util/check-code-style.sh
@@ -110,7 +110,7 @@ fi
 
 any_fails=false
 
-for file in $files; do
+for file in ${files}; do
   # Skip the check of this current ($0) script.
   if echo "${file}" | grep -qP "check-code-style.sh$"; then
     continue
diff --git a/doc.zih.tu-dresden.de/util/check-templated-code-snippets.sh b/doc.zih.tu-dresden.de/util/check-templated-code-snippets.sh
index 2cf1cc3a4d6a588dddcb6e5ac78b52c5fe2341a9..d5b567e5a7232bd955fff632e358daac6e2ff10a 100755
--- a/doc.zih.tu-dresden.de/util/check-templated-code-snippets.sh
+++ b/doc.zih.tu-dresden.de/util/check-templated-code-snippets.sh
@@ -43,14 +43,14 @@ fi
 
 all_ok=''
 for f in ${files}; do
-if ! ${pythonscript} ${f}; then
-all_ok='no'
-fi
+  if ! ${pythonscript} ${f}; then
+    all_ok='no'
+  fi
 done
 
 if [[ -z "${all_ok}" ]]; then
-echo "Success!"
+  echo "Success!"
 else
-echo "Fail!"
-exit 1
+  echo "Fail!"
+  exit 1
 fi
diff --git a/doc.zih.tu-dresden.de/util/grep-forbidden-patterns.sh b/doc.zih.tu-dresden.de/util/grep-forbidden-patterns.sh
index b95b955f814ef77933c30fdea6c1430f5520e0b3..876fea08c247b7f9741176006fddb9ba9d74f4d8 100755
--- a/doc.zih.tu-dresden.de/util/grep-forbidden-patterns.sh
+++ b/doc.zih.tu-dresden.de/util/grep-forbidden-patterns.sh
@@ -189,7 +189,7 @@ fi
 #Prevent files from being printed when the script is invoked with default
 # arguments.
 if [[ ${verbose} == true ]]; then
-echo "... ${files} ..."
+  echo "... ${files} ..."
 fi
 cnt=0
 if [[ ! -z "${file}" ]]; then